@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}


:root {
    --primary-color: #6200ea;
    --secondary-color: #da5203;
    --background-color: white;
    --sbackground-colors: whitesmoke;
    --text-color: #212121;
    --nav-background-color: #3700b3;
    --button-background-color: var(--primary-color);
    --button-text-color: #ffffff;
    --link-color: var(--primary-color);
}

body.dark-mode {
    --background-color: #212121;
    --text-color: #e0e0e0;
    --nav-background-color: #121212;
    --button-background-color: #333333;
    --button-text-color: #ffffff;
    --link-color: #bb86fc;
}

html,
body {
    height: 100%;
    width: 100%;
    font-family: "Rubik", sans-serif;
    background-color: var(--background-color);
    color: var(--text-color);
}


main {
    height: 100%;
    width: 100%;
}

/* .cursor {
    height: 20px;
    width: 20px;
    background-color: white;
    mix-blend-mode: difference;
    border-radius: 50%;
    position: absolute;
} */

/* nav bar   */
nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 30px;
    height: 60px;
    width: 100%;
    background-color: var(--nav-background-color);
    color: #fff;
}

#left {
    color: #fff;
}

#right {
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 40%;
}


a {
    text-decoration: none;
    font-weight: 400;
    color: #ffffffd7;
}

#right button,
#mode-toggle {
    padding: 8px 15px;
    border-radius: 5px;
    border: none;
    background-color: var(--button-background-color);
    cursor: pointer;
    transition: background-color 0.3s;
}

#right button:hover {
    background-color: var(--secondary-color);
}

button a {
    color: var(--button-text-color);
}

/* New styles for responsive design */
#hamburger {
    display: none;
    cursor: pointer;
}

#mobile-menu {
    display: none;
    flex-direction: column;
    align-items: center;
    background-color: var(--nav-background-color);
    position: absolute;
    top: 60px;
    width: 80%;
    z-index: 1000;
}

#mobile-menu h3, #mobile-menu button {
    margin: 10px 0;
}

@media (max-width: 768px) {
    #right {
        display: none;
    }
    #hamburger {
        display: block;
    }
}

/* hero section */
header {
    height: 170%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: 
        linear-gradient(to bottom, rgba(177, 121, 255, 0.3) 10%, rgba(210, 181, 255, 0.3) 30%, rgba(255, 255, 255, 1) 80%),
        radial-gradient(circle at top left, rgba(145, 66, 255, 0.3), transparent 70%);
    background-blend-mode: normal, screen;
    color: var(--text-color);
    padding: 30px;
}

#left-h {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 90%;
    gap: 30px;
    padding-top: 20px;
}

#left-h h1 {
    font-size: 48px;
    font-weight: 500;
    line-height: 1.2;
    width: 85%;
    transition: color 0.3s;
}

#left-h h1:hover {
    color: var(--primary-color);
}

#left-h p {
    font-size: 18px;
    width: 50%;
    line-height: 1.6;
}

.hero-buttons {
    display: flex;
    gap: 20px;
}

.hero-buttons a {
    display: inline-block;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 5px;
    font-size: 16px;
}

.btn-primary {
    background-color: var(--button-background-color);
    color: var(--button-text-color);
}

.btn-secondary {
    background-color: var(--sbackground-color);
    color: var(--link-color);
    border: 1px solid var(--link-color);
}

.herostats {
    display: flex;
    align-items: center;
    gap: 20px;
    padding: 30px 0px;
}

.herostats h5 {
    font-size: 20px;
    font-weight: 500;

}

#right-h {
    width: 100%;
    height: 500px;
    background-color: var(--sbackground-colors);
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
}

#right-h img {
    width: 98%;
    height: 94%;
    border-radius: 10px;
    object-fit: cover;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
}


/* projects section */
.project {
    width: 100%;
    height: 80%;
    padding: 40px 30px;
    background-color: var(--background-color);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.left-p {
    width: 50%;
    transition: transform 0.2s, opacity 0.5s;
}

.left-p img {
    display: flex;
    align-items: center;
    height: 400px;
    width: 95%;
    object-fit: cover;
    border-radius: 10px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.377);
}

.right-p {
    width: 50%;
    padding: 20px 0px;
    padding-left: 30px;
    display: flex;
    flex-direction: column;
    gap: 30px;
    height: 100%;
    background-color: whitesmoke;
    border-radius: 10px;
    transition: transform 0.2s, opacity 0.5s;
}

.right-p h1 {
    font-size: 45px;
    font-weight: 500;
    line-height: 1.2;
    width: 80%;
}

.right-p p {
    font-size: 18px;
    width: 80%;
    line-height: 1.6;
}

.p-button {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    width: 80%;
    gap: 30px;
}

.p-button button {
    padding: 10px 20px;
    width: 140px;
    border: none;
    background-color: var(--button-background-color);
    color: var(--button-text-color);
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.p-button button:hover {
    background-color: var(--secondary-color);
}

.fade-out {
    opacity: 0;
    transform: translateY(10px);
    transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
}

.fade-in {
    opacity: 1;
    transform: translateY(0);
    transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
}



/* Featured Projects section */
#tools {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
    padding: 30px;
}

.tools {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 30px;
    align-items: center;
    justify-content: space-around;
}

.cards {
    display: flex;
    flex-direction: column;
    width: 20%;
    height: 350px;
    gap: 10px;
    border-radius: 10px;
    background-color: whitesmoke;
    align-items: center;
    text-align: center;
    overflow: hidden;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
}

.cards img {
    height: 200px;
    width: 100%;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    object-fit: cover;
}

.cards h4,
.cards p {
    width: 100%;

}

.cards a {
    width: auto;
    padding: 5px 50px;
    cursor: pointer;
    border: none;
    border-radius: 5px;
    background-color: var(--button-background-color);
    color: var(--button-text-color);
    transition: background-color 0.3s;
}

.cards a:hover {
    background-color: var(--secondary-color);
}


/* for more connect  */

.container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 80%;
    width: 100%;
    padding: 40px 30px;
}

.image-section {
    width: 45%;
    display: flex;
    align-items: center;

}

.image-section img {
    width: 95%;
    height: 380px;
    border-radius: 10px;
    object-fit: cover;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
}

.text-section {
    width: 50%;
    padding: 20px 30px;
    color: var(--text-color);
    border-radius: 8px;
    background-color: whitesmoke;
    display: flex;
    flex-direction: column;
    gap: 20px;

}

.subtitle {
    color: var(--primary-color);

}

.title {
    font-size: 36px;
}

.description {
    font-size: 18px;
    width: 90%;
    line-height: 1.6;

}

.button {
    display: inline-block;
    width: 40%;
    padding: 10px 20px;
    background-color: var(--button-background-color);
    color: var(--button-text-color);
    text-decoration: none;
    border-radius: 5px;
    border: 1px solid var(--button-background-color);
    transition: background-color 0.3s, color 0.3s;
}

.button:hover {
    background-color: var(--sbackground-colors);
    color: var(--button-background-color);
}


/* faq section */
#faq {
    display: flex;
    width: 100%;
    height: auto;
    align-items: center;
    justify-content: space-between;
    padding: 30px;
}

#faq h4:hover {
    color: var(--primary-color);
}

#left-f {
    width: 20%;
    height: 100%;
    display: flex;
    align-items: center;
}

#right-f {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    height: 100%;
    width: 80%;
    padding: 10px;
    padding-right: 40px;
}

.ques {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 80px;
    width: 730px;
    padding: 20px 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.192);
    cursor: pointer;
    font-size: 18px;
}

.ques i {
    font-size: 1.5em;
    transition: transform 0.3s;
}

.ans {
    width: 730px;
    padding: 20px 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.192);
    display: none;
}



/* Contact us starts from here  */
.contact {
    width: 100%;
    height: 80%;
    padding: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contact .main-c {
    background-color: whitesmoke;
    height: 100%;
    width: 70%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
}

.contact .left-c {
    height: 100%;
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.contact .left-c h1 {
    font-size: 36px;
    color: var(--primary-color);
}

.contact .left-c p {
    font-size: 18px;
    font-weight: 500;
    width: 90%;
    line-height: 1.6;
}

.contact .left-c input {
    padding: 8px;
    border-radius: 5px;
    border: 1px solid grey;
}
.contact .left-c input[type="submit"] {
    background-color: var(--button-background-color);
    color: var(--button-text-color);
    border: none;
}

.contact .left-c input[type="submit"]:hover {
   cursor: pointer;
}

.contact .right-c {
    width: 40%;
    height: 90%;
    border-radius: 10px;
    background: url(Resources/contactus.png);
    background-size: cover;
}

/* Tools & Technologies Used section */
#tech {
    background-color: var(--background-color);
    color: var(--text-color);
    width: 100%;
    height: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
    font-size: 20px;
}

.tech {
    display: flex;
    gap: 20px;
}

.tech button {
    padding: 10px 20px;
    border: none;
    background-color: var(--button-background-color);
    color: var(--button-text-color);
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.tech button:hover {
    background-color: var(--secondary-color);
}

/* The Modal (background) */
.hidden {
    display: none;
}

/* Modal styles */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-content {
    background: white;
    padding: 20px;
    border-radius: 5px;
    width: 300px;
    text-align: center;
}

.close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 24px;
    cursor: pointer;
}


/* Footer Styles */
footer {
    width: 100%;
    background-color: var(--nav-background-color);
    color: #fff;
    padding: 20px 30px;
    bottom: 0;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}